Page MenuHomePhabricator

Hovercards: Create access point for user survey in hovercards
Closed, ResolvedPublic

Description

to gather qualitative feedback from readers who may not be able to access or edit talk or flow pages easily, a structured survey has/will be created to capture reader feedback of hovercards by readers.

https://wikimedia.qualtrics.com/SE/?SID=SV_d1irF0VbOxZREvr&Q_JFE=0

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Could you please add a mock up for this and then assign it to me?
We'll need both a PNG and SVG icon for now.

We can skip the third step and go directly to the survey form.

Hover state can will be accounted for according to mediawiki swatches - https://trello.com/c/IRqbu8p4/15-color-swatches
Default Icon fills - #AAAAAA
Mouse over icon fills - #555555

interaction makes sense, esp. if we should the "Send feedback" text on hover. but I'm not sure about the icon, it definitely implies an email, or message rather than a short survey, any objection to using the megaphone icon that mediaviewer used?

We should certainly be consistent with the icon.

This comment was removed by Vibhabamba.
Prtksxna claimed this task.Nov 1 2014, 4:45 AM

@Vibhabamba Could you please attach a PNG version of the icon as well? Does the color of the icon change on hover? In that case I'll need SVG and PNG files for those as well.

@aripstra can you add the survey URL to this task when its ready to go please

Yes. I will add the link to the survey this afternoon.

assuming you can flip these in code.

Here is an active link to the survey. It is "active" in that it will collect responses. Feel free to test it out - I will delete any responses from this team as you test it out. Please alert me when it is launched so I can ensure all testing is deleted from the data we collect from users.

https://wikimedia.qualtrics.com/SE/?SID=SV_d1irF0VbOxZREvr

Only question un answered is shown when you click the "I found a bug" radio button. I don't know what link to add there. Or, if I should simply have an open text field. If it is an open text field, what kind of information (maybe browser, OS using) would be useful to ask people to add into the text field. Once I have an answer to this question, I will go into the survey, change it and then all will be ready for translation. Do we have someone who will directly translate? or how might this work?

I have translated (using the in app google translate in Qualtrics)into Greek. Probably a bad translation, but I have no idea - don't speek Greek.I am just figuring this out in Qualtrics. Here is my first try - check out the drop down in the top right where you can switch to Greek...
https://jfe2.qualtrics.com/preview/SV_bwFY1179HcQ4AMR

@aripstra, I've reached out to the greek speakers on staff about a review of the machine translated text, you're cc'd. Can we generate a link that goes straight to greek? or do you know if the survey detects language and switches automatically?

For the rollout of chinese, and catalan we'll likely need to do the same thing to clean up the translation of those.

I worry that an open ended field for bugs is going to generate a lot of dupes, but pushing people to bugzilla or phabricator might be an undue burden as well, especially since you have to make an account first. We might just have to manually dedupe in the output that qualtrics gives us and log them manually, we could also link to phabricator and give people the option (If you have an account on Phabricator, please log the bug here, otherwise type it below. The bug wranglers might not appreciate a bunch of untranslated bugs anyway.

assuming you can flip these in code.

Can't :( Can you put up RTL versions too.

Yup, as I said in the email, I recommend sending them to the Hovercards feedback page (https://www.mediawiki.org/wiki/Talk:Beta_Features/Hovercards).

Or maybe just send them to a single Topic there, and we could make the First Post an English/Greek/Chinese message saying "please post your bugs below, and/or use this link to see the currently-open bugs on Bugzilla.")

I have created an initial patch for this - https://gerrit.wikimedia.org/172486/

@Vibhabamba I still need both the PNGs. Also, the size and margins of these SVGs differ from that of the settings icon. Because of this I have to resize the survey icon in code. Even though I can do this, I'd prefer if you could size it correctly so that we don't have to do multiple iterations of this. You can check out the settings icon here - https://github.com/wikimedia/mediawiki-extensions-Popups/blob/master/resources/ (gear_gray).

For now I haven't added the 3rd state and just kept a normal tooltip. Let me know if I need to add that too. I am unclear about the implementation so will need your help.

Also, I noticed that the settings icon does not have a hover state. Do we want to change this? Should I raise another issue for that?

To let you know my progress on the survey itself, it is translated into Greek so far. In attempting to translate to Catalan, I have run into a bunch of bugs in Qualtrics :( . I am working with Qualtrics on this. Usually they are pretty responsive and fix things quickly. Will keep you posted.

@Jaredzimmerman-WMF @Vibhabamba: This link is to be shown on all hovercards on every instance right? Or does it have to be shown only on the instances on which we turn it on by default?

@aripstra Awesome! Can you share the links of a couple of different languages too? I'll be able to update the patch to link to the right survey based on the wiki's language.

@Prtksxna, here is the link to the survey:

https://wikimedia.qualtrics.com/SE/?SID=SV_d1irF0VbOxZREvr

It is active now. The Greek translation is completed, but Catalan and Chinese are not ready yet. I ran into bugs in Qualtrics that slowed me down a bit. Today I sent out the Catalan machine translation to our Catalan speakers to refine it. Once I have that back from them, I will upload and Catalan will be ready to go. Now that I have talked with Qualtrics and they gave me a work around to get around their big bug, I will see what I can do with Chinese. Will keep you posted on progress with Catalan and Chinese translations.

All the languages will stem from this one link- this one survey will automatically show in the language the user's computer is set to work in. Currently Greek and English are good. If someone looks at the survey in Chinese right now (before I have the translations) they will see the survey in English. If they look at it in Catalan right now, they will see the machine translation into Catalan (and probably get a good laugh or get irritated).

@Jaredzimmerman-WMF @Vibhabamba: This link is to be shown on all hovercards on every instance right? Or does it have to be shown only on the instances on which we turn it on by default?

Ideally this would only be for the uses on wikis which have it enabled by default, but Its not the end of the world if it shows on all. figure out what the effort is in both cases, and let us know the difference in both approaches.

It is active now. The Greek translation is completed, but Catalan and Chinese are not ready yet.

Cool. I saw that its just one link and the language can be chosen after the user has navigated to the page. Which is alright I guess. I thought I'd have to change the link based on which wiki its being displayed on.


Ideally this would only be for the uses on wikis which have it enabled by default, but Its not the end of the world if it shows on all. figure out what the effort is in both cases, and let us know the difference in both approaches.

The effort for that isn't considerably large. Once we have that patch sets up the configuration variable for those wikis (as suggested by Gergo) its just a matter of loading that configuration on the front-end and not showing the icon if it not one of the the default wikis.

It would however mean that this patch will have to wait till the configuration patch is ready and merged.


@Vibhabamba I still need the PNGs for the icons. Also, please see - T1005#21405

@Vibhabamba did you get @Prtksxna all the assets needed? If not please do so ASAP, if you did, please resolve this card. Thanks!

Prtksxna moved this task from Backlog to In Development on the Page-Previews board.Dec 3 2014, 5:31 AM
Jaredzimmerman-WMF removed Vibhabamba as the assignee of this task.Jan 30 2015, 10:01 PM

@violetto, do we have the megaphone icon (feedback) redrawn in the new format?

if so can you attach it here in

PNG and SVG
LTR & RTL version
in normal & hover colors

Hovercards isn't set up for the new method of calling icons yet, but this should be the last time we need to do individual assets like this.

MNguyen added a comment.EditedFeb 9 2015, 10:00 PM


CC: @Prtksxna / @Jaredzimmerman-WMF / @violetto

I put the following icons in (Icons > 24 x 24 > Megaphone) for review. I used the colors from @Vibhabamba's last revision. Let me know if there was an update so I can make the proper changes.

@MNguyen Thanks for this!
@Vibhabamba according to the design is the icons size supposed to be 24 or 48?

Looks like this now —

@Vibhabamba and I will be polishing this during our meeting this week.

Change 172486 had a related patch set uploaded (by Prtksxna):
Add link to survey

https://gerrit.wikimedia.org/r/172486

seems small…

Yeah. The image for the cog wheel and the horn seem to take different amounts of space within their bounding boxes. Will iron this out with @Vibhabamba.

@MNguyen can you please point us to the most current cog and loudspeaker icons from the set?
Thanks

@Vibhabamba, If the sizing is 24px, these should do:

Along with this cog icon:

They look proportionate when I set both files next to each other, at least on my end. Let me know how these work for you @Prtksxna!

Thanks @MNguyen! I think these look right!

@Vibhabamba, is this right? If so, I'll fix up the patch and request for PNGs too.

yep, looks good to me too.

*Jared Zimmerman * \\ Director of User Experience \\ Wikimedia Foundation

M +1 415 609 4043 \\ @Jaredzimmerman http://loo.ms/g0

@Prtksxna Almost there. Increase horizontal padding on left of cog by 5 px.

@Prtksxna Almost there. Increase horizontal padding on left of cog by 5 px.

@violetto How are we handling hover and click states for icons? Please advise.

green line: .5em
red line: 1em

Thanks @violetto.
@Vibhabamba I'll add screenshots today.

We can either add additional padding or float it to the right.

Done. I just need the PNGs now. The cog image is right now rendered at 18*18px.
Can you give me a PNG with some margins and those dimensions?

Sorry, I am not understanding. Which PNG's do you need?

Can you work with Michelle on this?

Done. I just need the PNGs now. The cog image is right now rendered at 18*18px.
Can you give me a PNG with some margins and those dimensions?

So you need PNGs for the cog 18px by 18px?
Just clarifying what is needed.

So you need PNGs for the cog 18px by 18px?
Just clarifying what is needed.

Not exactly in 18px by 18px file. The file can be bigger, the cog needs to be that size. I need the same margins as there are in the SVG.
And I need it for both the cog and the horn — transparent backgrounds and #555 foreground.

The feedback survey is now translated into Greek, Chinese, Catalan. We are ready to go on that front.

Here is the link again - just incase:
https://wikimedia.qualtrics.com/SE/?SID=SV_d1irF0VbOxZREvr

Jaredzimmerman-WMF closed this task as Resolved.Mar 12 2015, 9:07 PM
Jaredzimmerman-WMF updated the task description. (Show Details)
Prtksxna reopened this task as Open.Mar 13 2015, 8:16 AM

The patch isn't ready or merged yet.
(need to add the PNGs)

Hey @Prtksxna,

I've resized the cog to be 18 x 18px. And as for the megaphone, it is already 18px wide. Altering the height probably won't look right. What do you think? It looks proportionate beside each other though. Let me know if we need further alterations.

@Vibhabamba, the margins that you had suggested were breaking the layout for cards with images on the side.

So, I've removed them and it fits now.


Submitted the patch.

Prtksxna added a comment.EditedMar 19 2015, 2:31 AM

@Vibhabamba Due to the length of the timestamp line and icons are still breaking to a new line for some languages.

Hebrew (wrong):

Farsi (correct):

Vibhabamba added a comment.EditedMar 28 2015, 10:42 PM

@Prtksxna

Two ideas here:

Option 1: If the width of the string hits the icon area - change type size to 0.8% of current value

Option 2: Can we set a rule, such that - If one icon is wrapping, then set both icons to the next line? Its not ideal, but its better then breaking them up.

I'd like to fix this, but I'm not going to consider it a blocker for the test.

Change 201419 had a related patch set uploaded (by Prtksxna):
Add $wgPopupsSurveyLink if $wmgUsePopups is true

https://gerrit.wikimedia.org/r/201419

Change 172486 merged by jenkins-bot:
Add icon and link to qualtric survey if $wgPopupsSurveyLink is defined

https://gerrit.wikimedia.org/r/172486

Change 201419 merged by jenkins-bot:
Add $wgPopupsSurveyLink if $wmgUsePopups is true

https://gerrit.wikimedia.org/r/201419

werdna closed this task as Resolved.Apr 6 2015, 9:19 AM
werdna added a subscriber: werdna.
Quiddity moved this task from For Review to Done on the Page-Previews board.Jun 21 2015, 10:49 PM